Index: /WAeUP_SRP/branches/joachim-event-branch/Students.py
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/Students.py	(revision 1595)
+++ /WAeUP_SRP/branches/joachim-event-branch/Students.py	(revision 1596)
@@ -22,4 +22,6 @@
 i_home = Globals.INSTANCE_HOME
 MAX_TRANS = 1000
+from urllib import urlencode
+
 import DateTime
 # import PIL.Image
@@ -36,4 +38,13 @@
 
 ###)
+
+def response_write(response,s):
+    response.setHeader('Content-type','text/html; charset=ISO-8859-15')
+    while s.find('<') > -1:
+        s = s.replace('<','&lt;')
+    while s.find('>') > -1:
+        #from pdb import set_trace;set_trace()
+        s = s.replace('>','&gt;')
+    response.write("%s<br>\n" % s)
 
 def getInt(s): ###(
@@ -82,290 +93,5 @@
     security = ClassSecurityInfo()
 
-    security.declareProtected(ModifyPortalContent,"loadFullTimeStudentsFromCSV")###(
-    def loadFullTimeStudentsFromCSV(self):
-        """load Fulltime Studentdata from CSV values"""
-        import transaction
-        import random
-        tr_count = 0
-        name = 'short_full_time'
-        no_import = False
-        if not no_import:
-            no_import = open("%s/import/%s_not_imported.csv" % (i_home,name),"w")
-            no_import.write('"MatricNo","EntryRegNo","CurrentSession","StudentLevel","fullname","FirstName","MiddleName","Lastname","FormerSurname","Sex","Nationality","State","LGA","PermanentAddress","PermanentAddressCity","CampusAddress","PhoneNumber","Emailaddress","Mode","CourseMajor","Faculty","Dept"\n')
-        logger = logging.getLogger('Import.%s' % name)
-        logger.info('Start loading from %s.csv' % name)
-        pwlist  = []
-        pwlist.append('"student_id","firstname","middlename","lastname","matric_no","jamb_reg_no","access_code"')
-        pwl_template = Template('"$student_id","$firstname","$middlename","$lastname","$matric_no","$jamb_reg_no","$access_code"')
-        students_folder = self.portal_catalog({'meta_type': 'StudentsFolder'})[-1].getObject()
-        try:
-            students = csv.DictReader(open("%s/import/%s.csv" % (i_home,name),"rb"))
-        except:
-            logger.error('Error reading %s.csv' % name)
-            return
-        l = self.portal_catalog({'meta_type': "StudentClearance",})
-        matrics = []
-        for s in l:
-            matrics.append(s.getObject().getContent().matric_no)
-        print matrics
-        l = self.portal_catalog({'meta_type': "Certificate"})
-        certs = {}
-        for c in l:
-            ca,ac,fa,dep_id,co,certcode = c.relative_path.split('/')
-            cid = "%(dep_id)s_%(certcode)s" % vars()
-            certs[cid] = c.getObject()
-        for student in students:
-            logger.info('processing "%(MatricNo)s","%(EntryRegNo)s","%(CurrentSession)s","%(StudentLevel)s","%(fullname)s","%(FirstName)s","%(MiddleName)s","%(Lastname)s","%(FormerSurname)s","%(Sex)s","%(Nationality)s","%(State)s","%(LGA)s","%(PermanentAddress)s","%(PermanentAddressCity)s","%(CampusAddress)s","%(PhoneNumber)s","%(Emailaddress)s","%(Mode)s","%(CourseMajor)s","%(Faculty)s","%(Dept)s"\n' % student)
-            sid = student.get('MatricNo')
-            if sid == "":
-                em = 'Empty MatricNo\n'
-                logger.info(em)
-                no_import.write(em)
-                no_import.write('"%(MatricNo)s","%(EntryRegNo)s","%(CurrentSession)s","%(StudentLevel)s","%(fullname)s","%(FirstName)s","%(MiddleName)s","%(Lastname)s","%(FormerSurname)s","%(Sex)s","%(Nationality)s","%(State)s","%(LGA)s","%(PermanentAddress)s","%(PermanentAddressCity)s","%(CampusAddress)s","%(PhoneNumber)s","%(Emailaddress)s","%(Mode)s","%(CourseMajor)s","%(Faculty)s","%(Dept)s"\n' % student)
-                continue
-            certcode = makeCertificateCode(student.get('CourseMajor'))
-            dep_id = student.get('Dept')
-            fac_id = student.get('Faculty')
-            cid = "%(dep_id)s_%(certcode)s" % vars()
-            if cid not in certs.keys():
-                em = 'Certificate with ID %s %s not found\n' % (certcode, student.get('CourseMajor'))
-                logger.info(em)
-                no_import.write(em)
-                no_import.write('"%(MatricNo)s","%(EntryRegNo)s","%(CurrentSession)s","%(StudentLevel)s","%(fullname)s","%(FirstName)s","%(MiddleName)s","%(Lastname)s","%(FormerSurname)s","%(Sex)s","%(Nationality)s","%(State)s","%(LGA)s","%(PermanentAddress)s","%(PermanentAddressCity)s","%(CampusAddress)s","%(PhoneNumber)s","%(Emailaddress)s","%(Mode)s","%(CourseMajor)s","%(Faculty)s","%(Dept)s"\n' % student)
-                continue
-            certificate_doc = certs[cid].getContent()
-            level = student.get('StudentLevel')
-            try:
-                int(level)
-            except:
-                em = 'Student with ID %(MatricNo)s StudentLevel is empty\n' % student
-                logger.info(em)
-                no_import.write(em)
-                no_import.write('"%(MatricNo)s","%(EntryRegNo)s","%(CurrentSession)s","%(StudentLevel)s","%(fullname)s","%(FirstName)s","%(MiddleName)s","%(Lastname)s","%(FormerSurname)s","%(Sex)s","%(Nationality)s","%(State)s","%(LGA)s","%(PermanentAddress)s","%(PermanentAddressCity)s","%(CampusAddress)s","%(PhoneNumber)s","%(Emailaddress)s","%(Mode)s","%(CourseMajor)s","%(Faculty)s","%(Dept)s"\n' % student)
-                continue
-            matric_no = student.get('MatricNo')
-            if matric_no not in matrics:
-                matrics.append(matric_no)
-                sid = self.generateStudentId(student.get('Lastname')[0])
-                #self.log('Creating Faculty %(id)s = %(Title)s' % faculty)
-                students_folder.invokeFactory('Student', sid)
-                logger.info('%(tr_count)s: Creating Student with ID %(sid)s Matric_no %(matric_no)s ' % vars())
-                student_obj = getattr(self,sid)
-                access_code = "%d" % random.randint(1000000000,9999999999)
-                student_obj.getContent().makeStudentMember(sid,access_code,)
-                pwl_dict = {'student_id': sid,'access_code':access_code}
-                student_obj.invokeFactory('StudentApplication','application')
-                application = student_obj.application
-                da = {'Title': 'Application Data'}
-                student_obj.invokeFactory('StudentPersonal','personal')
-                da['jamb_reg_no'] = student.get('EntryRegNo')
-                personal = student_obj.personal
-                dp = {'Title': 'Personal Data'}
-                student_obj.invokeFactory('StudentClearance','clearance')
-                clearance = student_obj.clearance
-                dc = {'Title': 'Clearance/Eligibility Record'}
-                dc['matric_no'] = matric_no
-                state = student.get('State')
-                lga = student.get('LGA')
-                if state and lga:
-                    lga =  state + ' / ' + lga
-                else:
-                    lga = "None"
-                dc['lga'] = lga
-                dc['nationality'] = student.get('Nationality')
-                dc['email'] = student.get('Emailaddress')
-                dp['firstname'] = student.get('FirstName')
-                dp['middlename'] = student.get('MiddleName')
-                dp['lastname'] = student.get('Lastname')
-                dp['former_surname'] = student.get('FormerSurname')
-                dp['sex'] = student.get('Sex') == 'F'
-                dp['perm_address'] = student.get('PermanentAddress')
-                dp['perm_city'] = student.get('PermanentAddressCity')
-                dp['campus_address'] = student.get('CampusAddress')
-                dp['phone'] = student.get('PhoneNumber')
-                application.getContent().edit(mapping=da)
-                personal.getContent().edit(mapping=dp)
-                clearance.getContent().edit(mapping=dc)
-                #
-                # Study Course
-                #
-                student_obj.invokeFactory('StudentStudyCourse','study_course')
-                studycourse = student_obj.study_course
-                dsc = {}
-                from_certificate = ['title',
-                                   'max_elect',
-                                   'max_pass',
-                                   'n_core',
-                                   'nr_years',
-                                   'probation_credits',
-                                   'promotion_credits',
-                                   'start_level',
-                                  ]
-                for f in from_certificate:
-                    dsc[f] = getattr(certificate_doc,f)
-                dsc['faculty'] = fac_id
-                dsc['department'] = dep_id
-                dsc['study_course'] = certcode
-                css = student.get('CurrentSession') or '2004-2005'
-                cs = int(css.split('-')[0]) - 2000
-                cl = int(student.get('StudentLevel') or '100')/100
-                dsc['entry_session'] = "200%s" % (cs - cl)
-                dsc['clr_ac_pin'] = access_code
-                studycourse.getContent().edit(mapping=dsc)
-                #
-                # Level
-                #
-##                l = getattr(studycourse,level,None)
-##                if 0 and l is None:
-##                    #self.log('Creating Department %(DeptCode)s = %(Description)s' % dep)
-##                    logger.info('Creating Level %(StudentLevel)s for %(fullname)s' % student)
-##                    studycourse.invokeFactory('StudentStudyLevel', level)
-##                    l = getattr(studycourse, level)
-##                    certificate = certs[certcode]
-##                    cert_level = getattr(certificate,level,None)
-##                    if cert_level is None:
-##                        logger.info('Level %(level)s not in %(certcode)s' % vars())
-##                    l.getContent().edit(mapping={'Title': "Level %s" % level})
-            else:
-                em = 'Student with ID %(MatricNo)s %(fullname)s already exists\n' % student
-                logger.info(em)
-                no_import.write(em)
-                no_import.write('"%(MatricNo)s","%(EntryRegNo)s","%(CurrentSession)s","%(StudentLevel)s","%(fullname)s","%(FirstName)s","%(MiddleName)s","%(Lastname)s","%(FormerSurname)s","%(Sex)s","%(Nationality)s","%(State)s","%(LGA)s","%(PermanentAddress)s","%(PermanentAddressCity)s","%(CampusAddress)s","%(PhoneNumber)s","%(Emailaddress)s","%(Mode)s","%(CourseMajor)s","%(Faculty)s","%(Dept)s"\n' % student)
-                continue
-            if tr_count > MAX_TRANS:
-                transaction.commit()
-                em = 'Transaction commited\n' % student
-                logger.info(em)
-                tr_count = 0
-            tr_count += 1
-            pwl_dict.update(dc)
-            pwl_dict.update(da)
-            pwl_dict.update(dp)
-            wftool = self.portal_workflow
-            pwlist.append(pwl_template.substitute(pwl_dict))
-            wftool.doActionFor(student_obj,'clear_and_validate')
-            student_obj.manage_setLocalRoles(sid, ['Owner',])
-            wftool.doActionFor(application,'close')
-            application.manage_setLocalRoles(sid, ['Owner',])
-            wftool.doActionFor(clearance,'close')
-            clearance.manage_setLocalRoles(sid, ['Owner',])
-            wftool.doActionFor(personal,'close')
-            personal.manage_setLocalRoles(sid, ['Owner',])
-            wftool.doActionFor(studycourse,'close_for_edit')
-            studycourse.manage_setLocalRoles(sid, ['Owner',])
-        open("%s/import/pwlist-%s.csv" % (i_home,name),"w+").write('\n'.join(pwlist))
-        return self.REQUEST.RESPONSE.redirect("%s" % self.REQUEST.get('URL1'))
-    ###)
-
-    security.declareProtected(ModifyPortalContent,"loadPumeResultsFromCSV")###(
-    def loadPumeResultsFromCSV(self):
-        """load Fulltime Studentdata from CSV values into pumeresults catalog"""
-        import transaction
-        import random
-##        csv_d = {'jamb_reg_no': "RegNumber", ###(
-##                 'status': "Admission Status",
-##                 'name': "Name",
-##                 'score': "Score",
-##                 'sex': "Sex",
-##                 'faculty': "Faculty",
-##                 'department': "Dept",
-##                 'course': "Course",
-##                 'course_code_org': "Course Code",
-##                 }
-###)
-        csv_d = {'jamb_reg_no': "JAMBRegno",
-                 'name': "Name",
-                 'score': "Score",
-                 'sex': "Sex",
-                 'course': "Course",
-                 'faculty': "Faculty",
-                 'department': "Dept",
-                 'course_code_org': "Course Code",
-                 'status': "Admission Status",
-                 'result_type': None,
-                 }
-        csv_fields = [f[1] for f in csv_d.items() if f[1]]
-        tr_count = 0
-        total = 0
-        #name = 'pup_new'
-        name = 'pup_update'
-        update = name.endswith('update')
-        no_import = []
-        ok_import = []
-        ok_import.append('%s' % ','.join(['"%s"' % fn for fn in csv_d.keys()]))
-        no_import.append('%s' % ','.join(['"%s"' % fn for fn in csv_fields]))
-        current = DateTime.DateTime().strftime("%d-%m-%y_%H_%M_%S")
-        ok_import_name = "%s/import/%s_imported_%s.csv" % (i_home,name,current)
-        #open(ok_import_name,"w").write('\n'.join(no_import))
-        no_import_name = "%s/import/%s_not_imported_%s.csv" % (i_home,name,current)
-        #open(no_import_name,"w").write('\n'.join(no_import))
-        logger = logging.getLogger('Import.%s' % name)
-        starttime = DateTime.now()
-        logger.info('Start loading from %s.csv' % name)
-        try:
-            result = csv.DictReader(open("%s/import/%s.csv" % (i_home,name),"rb"))
-        except:
-            logger.error('Error reading %s.csv' % name)
-            return
-        pume = self.portal_pumeresults
-        format = ','.join(['"%%(%s)s"' % fn for fn in csv_fields])
-        import_format = ','.join(['"%%(%s)s"' % fn for fn in csv_d.keys()])
-        eduplicate = '%s,"duplicate"' % format
-        einvalidjamb = '%s,"invalid JambRegNo"' % format
-        added = 'added ,%s' % format
-        #from pdb import set_trace;set_trace()
-        for jamb in result:
-            dict = {}
-            for f,fn in csv_d.items():
-                dict[f] = jamb.get(csv_d[f])
-            dict['result_type'] = 'DE'
-            jnr = jamb.get(csv_d['jamb_reg_no'])
-            if not checkJambNo(jnr):
-                logger.info(einvalidjamb % jamb)
-                dd = {}
-                for f,fn in csv_d.items():
-                    dd[fn] = getattr(data,f)
-                    no_import.append(eduplicate % dd)
-                    no_import.append(eduplicate % jamb)
-                continue
-            res = pume(jamb_reg_no=jnr)
-            if len(res) > 0:
-                if update:
-                    try:
-                        pume.modifyRecord(**dict)
-                    except ValueError:
-                        logger.info(eduplicate % jamb)
-                        continue
-                    except KeyError:
-                        pume.addRecord(**dict)
-                        logger.info(added % jamb)
-                        continue
-                else:
-                    data = res[0]
-                    if data.name != jamb.get(csv_d['name']):
-                        #set_trace()
-                        logger.info(eduplicate % jamb)
-                        #em = 'Student with REG-NO %(jamb_reg_no)s already exists\n' % dict
-                        #logger.info(em)
-                        dd = {}
-                        for f,fn in csv_d.items():
-                            dd[fn] = getattr(data,f)
-                        no_import.append(eduplicate % dd)
-                        no_import.append(eduplicate % jamb)
-                    continue
-            try:
-                pume.addRecord(**dict)
-                ok_import.append(import_format % dict)
-            except ValueError:
-                logger.info(eduplicate % jamb)
-                #em = 'Student with REG-NO %(jamb_reg_no)s already exists\n' % dict
-                #logger.info(em)
-                no_import.append(eduplicate % jamb)
-        logger.info('End loading from %s.csv' % name)
-        if len(no_import) > 1:
-            open(no_import_name,"w+").write('\n'.join(no_import))
-        open(ok_import_name,"w+").write('\n'.join(ok_import))
-        return self.REQUEST.RESPONSE.redirect("%s" % self.REQUEST.get('URL1'))
-    ###)
+
 
     security.declareProtected(ModifyPortalContent,"createDEStudents")###(
@@ -405,6 +131,6 @@
         no_certificate = "no certificate %s" % format
         open("%s/import/%s_not_imported.csv" % (i_home,name),"w").write('\n'.join(no_import))
-        logger = logging.getLogger('Import.%s' % name)
-        logger.info('start loading from %s.csv' % name)
+        logger = logging.getLogger('Students.StudentsFolder.createDEStudents')
+        logger.info('Start loading from %s.csv' % name)
         l = self.portal_catalog({'meta_type': "Certificate"})
         certs = {}
@@ -418,5 +144,5 @@
             return
         for jamb in result:
-            jamb['Error'] = "Processing "
+            jamb['Error'] = "Processing"
             logger.info(format % jamb)
             jamb_reg_no = jamb.get(csv_d['jamb_reg_no'])
@@ -624,6 +350,6 @@
         no_certificate = "no certificate %s" % format
         open("%s/import/%s_not_imported.csv" % (i_home,name),"w").write('\n'.join(no_import))
-        logger = logging.getLogger('Import.%s' % name)
-        logger.info('start loading from %s.csv' % name)
+        logger = logging.getLogger('Students.StudentsFolder.createNewStudents')
+        logger.info('Start loading from %s.csv' % name)
         l = self.portal_catalog({'meta_type': "Certificate"})
         certs = {}
@@ -821,5 +547,6 @@
         wftool = self.portal_workflow
         current = DateTime.DateTime().strftime("%d-%m-%y_%H_%M_%S")
-        students_folder = self.portal_catalog({'meta_type': 'StudentsFolder'})[-1].getObject()
+        #students_folder = self.portal_catalog({'meta_type': 'StudentsFolder'})[-1].getObject()
+        students_folder = self.portal_url().getPortalObject().campus.students
         tr_count = 1
         total = 0
@@ -829,5 +556,5 @@
         no_import = []
         imported = []
-        logger = logging.getLogger('Import.%s' % name)
+        logger = logging.getLogger('Students.StudentsFolder.importReturningStudents')
         try:
             returning = csv.DictReader(open("%s/import/%s.csv" % (i_home,name),"rb"))
@@ -849,5 +576,5 @@
             if start:
                 start = False
-                logger.info('start loading from %s.csv' % name)
+                logger.info('Start loading from %s.csv' % name)
                 s = ','.join(['"%s"' % fn for fn in student.keys()])
                 imported.append(s)
@@ -922,5 +649,6 @@
         for k,v in verdicts_voc.items():
             rverdicts[v.upper()] = k
-        logger = logging.getLogger('fixVerdicts')
+        rverdicts['STUDENT ON PROBATION'] = 'C'
+        logger = logging.getLogger('Students.StudentsFolder.fixVerdicts')
         try:
             verdicts = csv.DictReader(open("%s/import/%s.csv" % (i_home,name),"rb"))
@@ -933,5 +661,5 @@
             if start:
                 start = False
-                logger.info('start loading from %s.csv' % name)
+                logger.info('Start loading from %s.csv' % name)
                 s = ','.join(['"%s"' % fn for fn in verdict.keys()])
                 no_import.append('%s,"Error"' % s)
@@ -957,14 +685,14 @@
                         no_import.append( format_error % verdict)
                         continue
-                try:
-                    st_cat.modifyRecord(id = student_id,
+                st_cat.modifyRecord(id = student_id,
                                     verdict=verdict_code)
-                except KeyError:
-                    student['Error'] = "Not found in students_catalog"
-                    no_import.append( format_error % student)
-                    continue
+
                 dsc = {}
                 dsc['current_verdict'] = verdict_code
                 study_course.getContent().edit(mapping=dsc)
+            else:
+                verdict['Error'] = "Not found in students_catalog"
+                no_import.append( format_error % verdict)
+                continue
             tr_count += 1
             if tr_count > 1000:
@@ -987,4 +715,124 @@
     ###)
 
+    security.declareProtected(ModifyPortalContent,"fixAllNames")###(
+    def fixAllNames(self): 
+        "fix all students names"
+        import transaction
+        response = self.REQUEST.RESPONSE
+        logger = logging.getLogger('fixAllNames')
+        logger.info('Start')
+        students = self.portal_catalog(portal_type='Student')
+        count = 0
+        total = 0
+        for student in students:
+            scat_res = self.students_catalog(id = student.getId)
+            if not scat_res:
+                self.students_catalog.addRecord(id = student.getId)
+                scat_res = self.students_catalog(id = student.getId)
+            student_entry = scat_res[0]
+            old_new = self.fixName(student,student_entry)
+            count += 1
+            response_write(response,"%d) %s: %s" % (count + total,student_entry.id,old_new))
+            if count > 2000:
+                transaction.commit()
+                logger.info("%d transactions commited" % count)
+                total += count
+                count = 0
+    ###)
+
+    security.declareProtected(ModifyPortalContent,"fixName")###(
+    def fixName(self,student_brain, student_entry): 
+        "fix the name of a student"
+        fix = "first"
+        if student_entry.get('name_fixed',None) == fix:
+            return "Name already fixed"
+        student_id = student_entry.id
+        new_student = student_entry.jamb_reg_no.startswith('6') 
+        student_obj = student_brain.getObject()
+        personal = getattr(student_obj,'personal',None)
+        invalid = ''
+        if personal is None:
+            return '"%s", "Returning: %s","%s"' % (invalid,student_entry.name,"not logged in")
+        per_doc = personal.getContent()
+        old_first = per_doc.firstname
+        old_middle = per_doc.middlename
+        old_last = per_doc.lastname
+        new_first = ''
+        new_middle = ''
+        new_last = ''
+        if new_student:
+            if not old_first and not old_middle and old_last:
+                new_names = [n.capitalize() for n in old_last.split()]
+                if len(new_names) > 3:
+                    old_first = new_names[0]
+                    old_last = new_names[1]
+                    old_middle = ' '.join(new_names[2:])
+                elif len(new_names) == 3:
+                    old_first = new_names[0]
+                    old_last = new_names[1]
+                    old_middle = new_names[2]
+                elif len(new_names) == 2:
+                    old_first = new_names[0]
+                    old_last = new_names[1]
+                    old_middle = ''
+                elif len(new_names) == 1:
+                    old_last = new_names[0]
+                    old_first = ''
+                    old_middle = ''
+            if old_last:
+                new_first = old_last
+            if old_middle:
+                new_middle = old_middle
+            if old_first:
+                new_last = old_first
+                    
+            if old_first.find('<') != -1 or\
+               old_first.find('>') != -1 or\
+               old_middle.find('<') != -1 or\
+               old_middle.find('>') != -1 or\
+               old_last.find('<') != -1 or\
+               old_last.find('>') != -1:
+                   invalid = "invalid characters"
+        else:
+            if old_first and old_middle and old_last:
+                new_first = old_first.capitalize()
+                new_middle = old_middle.capitalize()
+                new_last = old_last.capitalize()
+            elif old_first and not old_middle and old_last:
+                new_names = [n.capitalize() for n in old_first.split()]
+                if len(new_names) > 1:
+                    new_first = new_names[0]
+                    new_middle = ' '.join(new_names[1:])
+                else:
+                    new_first = old_first.capitalize()
+                    new_middle = ''
+                new_last = old_last.capitalize()
+            elif not old_first and not old_middle and old_last:
+                new_first = ''
+                new_middle = ''
+                new_last = old_last.capitalize()
+            else:
+                new_first = ''
+                new_middle = ''
+                new_last = ''
+        name = "%(new_last)s %(new_first)s %(new_middle)s" % vars()
+        if new_student:
+            text = "New"
+        else:
+            text = "Returning"
+        old_new = '"%s", "%s: %s","%s"' % (invalid,text,
+                                           student_entry.name,
+                                           name)
+        if not invalid:
+            self.students_catalog.modifyRecord(id = student_id,
+                                      name_fixed = fix,
+                                      name = name)
+            per_doc.edit(mapping = {'firstname' : new_first,
+                                'middlename' : new_middle,
+                                'lastname' : new_last,
+                                })
+        return old_new
+    ###)
+
     security.declareProtected(ModifyPortalContent,"fixAllEntryModeForReturning")###(
     def fixAllEntryModeForReturning(self):
@@ -1017,5 +865,5 @@
         st_cat = self.students_catalog
         no_import = []
-        logger = logging.getLogger('getEntryMode.%s' % name)
+        logger = logging.getLogger('Students.StudentsFolder.fixEntryModeForReturning')
         try:
             returning = csv.DictReader(open("%s/import/%s.csv" % (i_home,name),"rb"))
@@ -1027,5 +875,5 @@
             if start:
                 start = False
-                logger.info('start loading from %s.csv' % name)
+                logger.info('Start loading from %s.csv' % name)
                 s = ','.join(['"%s"' % fn for fn in student.keys()])
                 no_import.append('%s,"Error"' % s)
@@ -1120,5 +968,5 @@
         no_import = []
         imported = []
-        logger = logging.getLogger('Import.%s' % name)
+        logger = logging.getLogger('Students.StudentsFolder.updateReturningStudents')
         try:
             returning = csv.DictReader(open("%s/import/%s.csv" % (i_home,name),"rb"))
@@ -1139,5 +987,5 @@
             if start:
                 start = False
-                logger.info('start loading from %s.csv' % name)
+                logger.info('Start loading from %s.csv' % name)
                 s = ','.join(['"%s"' % fn for fn in student.keys()])
                 imported.append(s)
@@ -1214,5 +1062,5 @@
         no_import = []
         imported = []
-        logger = logging.getLogger('Import.%s' % name)
+        logger = logging.getLogger('Students.StudentsFolder.importResults')
         try:
             results = csv.DictReader(open("%s/import/%s.csv" % (i_home,name),"rb"))
@@ -1233,5 +1081,5 @@
             if start:
                 start = False
-                logger.info('start loading from %s.csv' % name)
+                logger.info('Start loading from %s.csv' % name)
                 s = ','.join(['"%s"' % fn for fn in result.keys()])
                 imported.append(s)
@@ -1339,5 +1187,5 @@
         open("%s/import/%s_not_imported.csv" % (i_home,name),"w").write(
                     '\n'.join(no_import))
-        logger = logging.getLogger('Import.%s' % name)
+        logger = logging.getLogger('Students.StudentsFolder.updateStudyCourse')
         logger.info('Start loading from %s.csv' % name)
         l = self.portal_catalog({'meta_type': "Certificate"})
@@ -1354,7 +1202,7 @@
                                      'SearchableText': jamb_reg_no })
             if not res:
-                em = 'Student with RegNo %s does not exists\n' % jamb_reg_no
+                em = 'Student with jamb_reg_no %s does not exists\n' % jamb_reg_no
                 logger.info(em)
-                jamb['Error'] = "Student not exists"
+                jamb['Error'] = "Student does not exist"
                 no_import.append(format % jamb)
                 continue
